#!/bin/bash

CMD="$0"
CONFIG_DIR=cfg
JARNAME=jmstest.jar
APP="$1"

if [[ $CMD == *scripts* ]]; then
  # Script was run from non-scripts dir
  DEPLOY_DIR=`echo $CMD | sed 's/scripts\/start\.sh//'`
else
  # Script was run from scripts dir
  DEPLOY_DIR=".."
fi

if [ "$DEPLOY_DIR" != "" ]; then
  cd $DEPLOY_DIR
fi

CLASSPATH=$JARNAME:$CONFIG_DIR
for i in `ls ../lib/*.jar`; do
        CLASSPATH=$i:$CLASSPATH
done

java -classpath ${CLASSPATH} com.myco.jmstest.SenderMain
